Subject: bug#67767: 30.0.50; ERC 5.6: Add track integration to the nicks module

From: "J.P." <[email-masked]>
Date: Mon, 11 Dec 2023 18:18:17 -0800

"J.P." <[email-masked]> writes:

> [2] Users will have to toggle the module's minor-mode to update the
>     variable mid-session, but we can provide a Custom :set function to
>     help with this. Also, there's actually a resource penalty that comes
>     with this change too. We can probably use per-server instead of
>     per-channel hash tables, or only go per-channel if a local value for
>     `erc-track-faces-normal-list' exists on `erc-track-mode' init.

It turns out these changes may require more planning than originally
budgeted. There's a growing dependency on aspects of the `button' module
that haven't been fully sorted, along with a rather heightened potential
for leaking memory, so I'd rather not move too hastily without good
reason. As such, I'll likely be putting a hold on this until 5.7 and
retitling the bug accordingly.